#include <iostream>
#include <cstdlib>
#include <ctime>
using namespace std;

class Lotto
{
	int i,o,csere;
	int szamok[5];
	int lottoszamok[5];
	bool OK;
	int talalat;
	string neved;
	public:
		Lotto();
		void SzamGenerator();
		void TalalatSzamlalo();
		void SorbaRendezo();
		void Eredmeny();
};

Lotto::Lotto()
{
	talalat=0;
	for (i=0;i<5;i++)
	{
		cout << "Krem a(z) " << i+1 << ". szmot: ";
		cin >> szamok[i];
	}
}

void Lotto::SzamGenerator()
{
	srand(time(NULL));
	for (i=0;i<5;i++)
		do
		{
			OK=false;
			lottoszamok[i]=rand()%90+1;
			if (i>0)
				for (o=0;o<i;o++)
					if (lottoszamok[i]==lottoszamok[o]) OK=true;
		} while (OK);
}

void Lotto::TalalatSzamlalo()
{
	for (i=0;i<5;i++)
		for (o=0;o<5;o++)
			if (szamok[i]==lottoszamok[o]) talalat++;
}

void Lotto::SorbaRendezo()
{
	for (i=0;i<4;i++)
		for (o=i+1;o<5;o++)
			if (lottoszamok[i]>lottoszamok[o])
			{
				csere=lottoszamok[o];
				lottoszamok[o]=lottoszamok[i];
				lottoszamok[i]=csere;
			}
}

void Lotto::Eredmeny()
{
	for (i=0;i<5;i++) cout << i+1 << ". lottszm: " << lottoszamok[i] << "\n";
	cout << "Mi a neved? ";
	cin >> neved;
	cout << "\nKedves " << neved << ", " << talalat << " tallatod lett!\n";
}

int main()
{
	Lotto Jatek;
	Jatek.SzamGenerator();
	Jatek.TalalatSzamlalo();
	Jatek.SorbaRendezo();
	Jatek.Eredmeny();
	return 0;
}